Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::ColorSpriteState Class Reference

色スプライトステート More...

`#include <ColorSpriteState.h>`

Inheritance diagram for Lamp::ColorSpriteState:

List of all members.

## Public Member Functions
| ColorSpriteState ()
| コンストラクタ
| ColorSpriteState (const Color4f &color)
| コンストラクタ
virtual | ~ColorSpriteState ()
| デストラクタ
virtual const SpriteRequest * | getDefaultState () const
| デフォルトステートの取得
virtual void | apply (SpriteRenderState *renderState)
| 適用
virtual void | setColor (const Color4f &color)
| 色の設定
virtual const Color4f & | getColor () const
| 色の取得
## Static Public Attributes
const ColorSpriteState | whiteState
| 白
const ColorSpriteState | grayState
| 灰色
const ColorSpriteState | blackState
| 黒
const ColorSpriteState | redState
| 赤
const ColorSpriteState | greenState
| 緑
const ColorSpriteState | blueState
| 青
const ColorSpriteState | yellowState
| 黄
const ColorSpriteState | cyanState
| 青緑
const ColorSpriteState | magentaState
| 赤紫
const ColorSpriteState | defaultState
| デフォルト

## Detailed Description

色スプライトステート

Definition at line 36 of file ColorSpriteState.h.

## Constructor & Destructor Documentation

Lamp::ColorSpriteState::ColorSpriteState | ( | const Color4f & | color | ) |

  | コンストラクタ Parameters:
  color | 色
Definition at line 67 of file ColorSpriteState.cpp.

## Member Function Documentation

void Lamp::ColorSpriteState::apply | ( | SpriteRenderState * | renderState | ) | `[virtual]`

  | 適用 Parameters:
  renderState | レンダーステート
Implements Lamp::SpriteState. Definition at line 77 of file ColorSpriteState.cpp. References Lamp::Color4f::a, Lamp::Color4f::b, Lamp::Color4f::g, Lamp::Color4c::getARGB(), Lamp::Color4f::r, and Lamp::RenderingDevice::setRenderState().

virtual const Color4f& Lamp::ColorSpriteState::getColor | ( |  | ) | const`[inline, virtual]`

| 色の取得 Returns: 色 Definition at line 123 of file ColorSpriteState.h.

virtual const SpriteRequest* Lamp::ColorSpriteState::getDefaultState | ( |  | ) | const`[inline, virtual]`

| デフォルトステートの取得 Returns: デフォルトステート Implements Lamp::SpriteState. Definition at line 97 of file ColorSpriteState.h. References defaultState.

virtual void Lamp::ColorSpriteState::setColor | ( | const Color4f & | color | ) | `[inline, virtual]`

  | 色の設定 Parameters:
  color | 色
Definition at line 117 of file ColorSpriteState.h.

The documentation for this class was generated from the following files:

- ColorSpriteState.h
- ColorSpriteState.cpp